Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 51800

Summary: Error emerging gentoo-dev-sources 2.6.6 while applying 2320_adaptec_dpt_i2o.patch
Product: Gentoo Linux Reporter: Harley <harleyjcooper>
Component: [OLD] Core systemAssignee: x86-kernel (DEPRECATED) <x86-kernel>
Status: RESOLVED FIXED    
Severity: normal CC: alep_rj, amd64, andre.hinrichs, andy, bslote, cmr, dennis.freise, dmwaters, jni, kanelxake, kfm, lassahn, moixa, neko, oliver.lingg, pmartel, ppc, roger55, simon+bugzilla, steel300, strenker, stu, teidakankan, willie, wolf31o2, x86
Priority: High    
Version: unspecified   
Hardware: x86   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: this is the log of the error i faced while emerging gentoo-dev-sources

Description Harley 2004-05-22 23:20:44 UTC
When I try to update gentoo-dev-sources, I get the following error message:
After doing emerge -u gentoo-dev-sources I get the following:
>>> md5 src_uri ;-) linux-2.6.6.tar.bz2
>>> md5 src_uri ;-) genpatches-2.6-6.30-base.tar.bz2
>>> md5 src_uri ;-) genpatches-2.6-6.30-extras.tar.bz2
>>> Preparing to unpack...
>>> Unpacking source...
>>> Unpacking linux-2.6.6.tar.bz2 to /var/tmp/portage/gentoo-dev-sources-2.6.6/work
 * genpatches-2.6-6.30-base.tar.bz2 unpacked
 * genpatches-2.6-6.30-extras.tar.bz2 unpacked
 * Applying 1310_k8_cardbus_io.patch...                                   [ ok ]
 * Applying 1315_alpha-sysctl-uac.patch...                                [ ok ]
 * Applying 2110_bcm5700_broadcom_gigabit_drvr_11272003.patch...          [ ok ]
 * Applying 2115_fa311-mac-address-fix.patch...                           [ ok ]
 * Applying 2120_ipw2100-0.40-2.6.5.patch...                              [ ok ]
 * Applying 2320_adaptec_dpt_i2o.patch...                                 [ !! ]

 * Please attach /var/tmp/portage/gentoo-dev-sources-2.6.6/temp/2320_adaptec_dpt_i2o.err to any bug you may post.

!!! ERROR: sys-kernel/gentoo-dev-sources-2.6.6 failed.
!!! Function unipatch, Line 485, Exitcode 0
!!! Unable to dry-run patch.

/var/tmp/portage/gentoo-dev-sources-2.6.6/temp/2320_adaptec_dpt_i2o.err states:
Attempting Dry-run:
cmd: patch -p0 --dry-run -f < /var/tmp/portage/gentoo-dev-sources-2.6.6/work/patches/genpatches-2.6-6.30/2320_adaptec_dpt_i2o.patch
=======================================================
patching file linux-2.6.6/Documentation/networking/README.ipw2100
can't find file to patch at input line 124
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN linux-2.6.6/Documentation/scsi/dpti.txt linux-2.6.6-gentoo1/Documentation/scsi/dpti.txt
|--- linux-2.6.6/Documentation/scsi/dpti.txt    2004-05-09 21:32:54.000000000 -0500
|+++ linux-2.6.6-gentoo1/Documentation/scsi/dpti.txt    2004-05-22 09:13:10.430700652 -0500
--------------------------
No file to patch.  Skipping patch.
3 out of 3 hunks ignored
can't find file to patch at input line 175
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN linux-2.6.6/drivers/net/wireless/Kconfig linux-2.6.6-gentoo1/drivers/net/wireless/Kconfig
|--- linux-2.6.6/drivers/net/wireless/Kconfig   2004-05-09 21:32:26.000000000 -0500
|+++ linux-2.6.6-gentoo1/drivers/net/wireless/Kconfig   2004-05-22 09:13:01.771994437 -0500
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
can't find file to patch at input line 325
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN linux-2.6.6/drivers/net/wireless/Makefile linux-2.6.6-gentoo1/drivers/net/wireless/Makefile
|--- linux-2.6.6/drivers/net/wireless/Makefile  2004-05-09 21:33:22.000000000 -0500
|+++ linux-2.6.6-gentoo1/drivers/net/wireless/Makefile  2004-05-22 09:13:01.779993241 -0500
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
patching file linux-2.6.6/drivers/net/wireless/ipw2100/CHANGES
patching file linux-2.6.6/drivers/net/wireless/ipw2100/INSTALL
patching file linux-2.6.6/drivers/net/wireless/ipw2100/Makefile
patching file linux-2.6.6/drivers/net/wireless/ipw2100/av5100.c
patching file linux-2.6.6/drivers/net/wireless/ipw2100/hostap/hostap_crypt.h
patching file linux-2.6.6/drivers/net/wireless/ipw2100/ieee80211.c
patching file linux-2.6.6/drivers/net/wireless/ipw2100/ieee80211.h
patching file linux-2.6.6/drivers/net/wireless/ipw2100/ieee80211_crypt.h
patching file linux-2.6.6/drivers/net/wireless/ipw2100/ieee80211_rx.c
patching file linux-2.6.6/drivers/net/wireless/ipw2100/ieee80211_wx.c
patching file linux-2.6.6/drivers/net/wireless/ipw2100/ipw2100.h
patching file linux-2.6.6/drivers/net/wireless/ipw2100/ipw2100_frag.c
patching file linux-2.6.6/drivers/net/wireless/ipw2100/ipw2100_frag.h
patching file linux-2.6.6/drivers/net/wireless/ipw2100/ipw2100_fw.c
patching file linux-2.6.6/drivers/net/wireless/ipw2100/ipw2100_fw.h
patching file linux-2.6.6/drivers/net/wireless/ipw2100/ipw2100_hw.h
patching file linux-2.6.6/drivers/net/wireless/ipw2100/ipw2100_main.c
patching file linux-2.6.6/drivers/net/wireless/ipw2100/ipw2100_wx.c
patching file linux-2.6.6/drivers/net/wireless/ipw2100/ipw2100_wx.h
patching file linux-2.6.6/drivers/net/wireless/ipw2100/ipwversion.h
patching file linux-2.6.6/drivers/net/wireless/ipw2100/pbe5.c
The next patch would delete the file linux-2.6.6-gentoo1/drivers/scsi/dpt/dpt_osdutil.h,
which does not exist!  Applying it anyway.
can't find file to patch at input line 12624
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN linux-2.6.6/drivers/scsi/dpt/dpt_osdutil.h linux-2.6.6-gentoo1/drivers/scsi/dpt/dpt_osdutil.h
|--- linux-2.6.6/drivers/scsi/dpt/dpt_osdutil.h 2004-05-09 21:33:20.000000000 -0500
|+++ linux-2.6.6-gentoo1/drivers/scsi/dpt/dpt_osdutil.h 1969-12-31 18:00:00.000000000 -0600
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
patching file linux-2.6.6/drivers/scsi/dpt/dpti_i2o-dev.h
can't find file to patch at input line 13385
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN linux-2.6.6/drivers/scsi/dpt/dpti_i2o.h linux-2.6.6-gentoo1/drivers/scsi/dpt/dpti_i2o.h
|--- linux-2.6.6/drivers/scsi/dpt/dpti_i2o.h    2004-05-09 21:32:29.000000000 -0500
|+++ linux-2.6.6-gentoo1/drivers/scsi/dpt/dpti_i2o.h    2004-05-22 09:13:10.483692734 -0500
--------------------------
No file to patch.  Skipping patch.
4 out of 4 hunks ignored
can't find file to patch at input line 13432
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN linux-2.6.6/drivers/scsi/dpt/dpti_ioctl.h linux-2.6.6-gentoo1/drivers/scsi/dpt/dpti_ioctl.h
|--- linux-2.6.6/drivers/scsi/dpt/dpti_ioctl.h  2004-05-09 21:32:29.000000000 -0500
|+++ linux-2.6.6-gentoo1/drivers/scsi/dpt/dpti_ioctl.h  2004-05-22 09:13:10.494691091 -0500
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
can't find file to patch at input line 13449
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN linux-2.6.6/drivers/scsi/dpt/dptsig.h linux-2.6.6-gentoo1/drivers/scsi/dpt/dptsig.h
|--- linux-2.6.6/drivers/scsi/dpt/dptsig.h      2004-05-09 21:33:19.000000000 -0500
|+++ linux-2.6.6-gentoo1/drivers/scsi/dpt/dptsig.h      2004-05-22 09:13:10.518687505 -0500
--------------------------
No file to patch.  Skipping patch.
9 out of 9 hunks ignored
can't find file to patch at input line 13652
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN linux-2.6.6/drivers/scsi/dpt_i2o.c linux-2.6.6-gentoo1/drivers/scsi/dpt_i2o.c
|--- linux-2.6.6/drivers/scsi/dpt_i2o.c 2004-05-09 21:33:13.000000000 -0500
|+++ linux-2.6.6-gentoo1/drivers/scsi/dpt_i2o.c 2004-05-22 09:17:04.483728442 -0500
--------------------------
No file to patch.  Skipping patch.
110 out of 110 hunks ignored
can't find file to patch at input line 16459
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN linux-2.6.6/drivers/scsi/dpti.h linux-2.6.6-gentoo1/drivers/scsi/dpti.h
|--- linux-2.6.6/drivers/scsi/dpti.h    2004-05-09 21:31:56.000000000 -0500
|+++ linux-2.6.6-gentoo1/drivers/scsi/dpti.h    2004-05-22 09:13:10.640669279 -0500
--------------------------
No file to patch.  Skipping patch.
7 out of 7 hunks ignored
patching file linux-2.6.6/drivers/scsi/dpti2oscsi2.c
Attempting Dry-run:
cmd: patch -p1 --dry-run -f < /var/tmp/portage/gentoo-dev-sources-2.6.6/work/patches/genpatches-2.6-6.30/2320_adaptec_dpt_i2o.patch
=======================================================
The next patch would create the file Documentation/networking/README.ipw2100,
which already exists!  Applying it anyway.
patching file Documentation/networking/README.ipw2100
Patch attempted to create file Documentation/networking/README.ipw2100, which already exists.
Hunk #1 FAILED at 1.
1 out of 1 hunk FAILED -- saving rejects to file Documentation/networking/README.ipw2100.rej
patching file Documentation/scsi/dpti.txt
patching file drivers/net/wireless/Kconfig
Hunk #1 succeeded at 277 with fuzz 2 (offset 140 lines).
patching file drivers/net/wireless/Makefile
Hunk #1 FAILED at 1.
1 out of 1 hunk FAILED -- saving rejects to file drivers/net/wireless/Makefile.rej
The next patch would create the file drivers/net/wireless/ipw2100/CHANGES,
which already exists!  Applying it anyway.
patching file drivers/net/wireless/ipw2100/CHANGES
Patch attempted to create file drivers/net/wireless/ipw2100/CHANGES, which already exists.
Hunk #1 FAILED at 1.
1 out of 1 hunk FAILED -- saving rejects to file drivers/net/wireless/ipw2100/CHANGES.rej
The next patch would create the file drivers/net/wireless/ipw2100/INSTALL,
which already exists!  Applying it anyway.
patching file drivers/net/wireless/ipw2100/INSTALL
Patch attempted to create file drivers/net/wireless/ipw2100/INSTALL, which already exists.
Hunk #1 FAILED at 1.
1 out of 1 hunk FAILED -- saving rejects to file drivers/net/wireless/ipw2100/INSTALL.rej
The next patch would create the file drivers/net/wireless/ipw2100/Makefile,
which already exists!  Applying it anyway.
patching file drivers/net/wireless/ipw2100/Makefile
Patch attempted to create file drivers/net/wireless/ipw2100/Makefile, which already exists.
Hunk #1 FAILED at 1.
1 out of 1 hunk FAILED -- saving rejects to file drivers/net/wireless/ipw2100/Makefile.rej
The next patch would create the file drivers/net/wireless/ipw2100/av5100.c,
which already exists!  Applying it anyway.
patching file drivers/net/wireless/ipw2100/av5100.c
Patch attempted to create file drivers/net/wireless/ipw2100/av5100.c, which already exists.
Hunk #1 FAILED at 1.
1 out of 1 hunk FAILED -- saving rejects to file drivers/net/wireless/ipw2100/av5100.c.rej
The next patch would create the file drivers/net/wireless/ipw2100/hostap/hostap_crypt.h,
which already exists!  Applying it anyway.
patching file drivers/net/wireless/ipw2100/hostap/hostap_crypt.h
Patch attempted to create file drivers/net/wireless/ipw2100/hostap/hostap_crypt.h, which already exists.
Hunk #1 FAILED at 1.
1 out of 1 hunk FAILED -- saving rejects to file drivers/net/wireless/ipw2100/hostap/hostap_crypt.h.rej
The next patch would create the file drivers/net/wireless/ipw2100/ieee80211.c,
which already exists!  Applying it anyway.
patching file drivers/net/wireless/ipw2100/ieee80211.c
Patch attempted to create file drivers/net/wireless/ipw2100/ieee80211.c, which already exists.
Hunk #1 FAILED at 1.
1 out of 1 hunk FAILED -- saving rejects to file drivers/net/wireless/ipw2100/ieee80211.c.rej
The next patch would create the file drivers/net/wireless/ipw2100/ieee80211.h,
which already exists!  Applying it anyway.
patching file drivers/net/wireless/ipw2100/ieee80211.h
Patch attempted to create file drivers/net/wireless/ipw2100/ieee80211.h, which already exists.
Hunk #1 FAILED at 1.
1 out of 1 hunk FAILED -- saving rejects to file drivers/net/wireless/ipw2100/ieee80211.h.rej
The next patch would create the file drivers/net/wireless/ipw2100/ieee80211_crypt.h,
which already exists!  Applying it anyway.
patching file drivers/net/wireless/ipw2100/ieee80211_crypt.h
Patch attempted to create file drivers/net/wireless/ipw2100/ieee80211_crypt.h, which already exists.
Hunk #1 FAILED at 1.
1 out of 1 hunk FAILED -- saving rejects to file drivers/net/wireless/ipw2100/ieee80211_crypt.h.rej
The next patch would create the file drivers/net/wireless/ipw2100/ieee80211_rx.c,
which already exists!  Applying it anyway.
patching file drivers/net/wireless/ipw2100/ieee80211_rx.c
Patch attempted to create file drivers/net/wireless/ipw2100/ieee80211_rx.c, which already exists.
Hunk #1 FAILED at 1.
1 out of 1 hunk FAILED -- saving rejects to file drivers/net/wireless/ipw2100/ieee80211_rx.c.rej
The next patch would create the file drivers/net/wireless/ipw2100/ieee80211_wx.c,
which already exists!  Applying it anyway.
patching file drivers/net/wireless/ipw2100/ieee80211_wx.c
Patch attempted to create file drivers/net/wireless/ipw2100/ieee80211_wx.c, which already exists.
Hunk #1 FAILED at 1.
1 out of 1 hunk FAILED -- saving rejects to file drivers/net/wireless/ipw2100/ieee80211_wx.c.rej
The next patch would create the file drivers/net/wireless/ipw2100/ipw2100.h,
which already exists!  Applying it anyway.
patching file drivers/net/wireless/ipw2100/ipw2100.h
Patch attempted to create file drivers/net/wireless/ipw2100/ipw2100.h, which already exists.
Hunk #1 FAILED at 1.
1 out of 1 hunk FAILED -- saving rejects to file drivers/net/wireless/ipw2100/ipw2100.h.rej
The next patch would create the file drivers/net/wireless/ipw2100/ipw2100_frag.c,
which already exists!  Applying it anyway.
patching file drivers/net/wireless/ipw2100/ipw2100_frag.c
Patch attempted to create file drivers/net/wireless/ipw2100/ipw2100_frag.c, which already exists.
Hunk #1 FAILED at 1.
1 out of 1 hunk FAILED -- saving rejects to file drivers/net/wireless/ipw2100/ipw2100_frag.c.rej
The next patch would create the file drivers/net/wireless/ipw2100/ipw2100_frag.h,
which already exists!  Applying it anyway.
patching file drivers/net/wireless/ipw2100/ipw2100_frag.h
Patch attempted to create file drivers/net/wireless/ipw2100/ipw2100_frag.h, which already exists.
Hunk #1 FAILED at 1.
1 out of 1 hunk FAILED -- saving rejects to file drivers/net/wireless/ipw2100/ipw2100_frag.h.rej
The next patch would create the file drivers/net/wireless/ipw2100/ipw2100_fw.c,
which already exists!  Applying it anyway.
patching file drivers/net/wireless/ipw2100/ipw2100_fw.c
Patch attempted to create file drivers/net/wireless/ipw2100/ipw2100_fw.c, which already exists.
Hunk #1 FAILED at 1.
1 out of 1 hunk FAILED -- saving rejects to file drivers/net/wireless/ipw2100/ipw2100_fw.c.rej
The next patch would create the file drivers/net/wireless/ipw2100/ipw2100_fw.h,
which already exists!  Applying it anyway.
patching file drivers/net/wireless/ipw2100/ipw2100_fw.h
Patch attempted to create file drivers/net/wireless/ipw2100/ipw2100_fw.h, which already exists.
Hunk #1 FAILED at 1.
1 out of 1 hunk FAILED -- saving rejects to file drivers/net/wireless/ipw2100/ipw2100_fw.h.rej
The next patch would create the file drivers/net/wireless/ipw2100/ipw2100_hw.h,
which already exists!  Applying it anyway.
patching file drivers/net/wireless/ipw2100/ipw2100_hw.h
Patch attempted to create file drivers/net/wireless/ipw2100/ipw2100_hw.h, which already exists.
Hunk #1 FAILED at 1.
1 out of 1 hunk FAILED -- saving rejects to file drivers/net/wireless/ipw2100/ipw2100_hw.h.rej
The next patch would create the file drivers/net/wireless/ipw2100/ipw2100_main.c,
which already exists!  Applying it anyway.
patching file drivers/net/wireless/ipw2100/ipw2100_main.c
Patch attempted to create file drivers/net/wireless/ipw2100/ipw2100_main.c, which already exists.
Hunk #1 FAILED at 1.
1 out of 1 hunk FAILED -- saving rejects to file drivers/net/wireless/ipw2100/ipw2100_main.c.rej
The next patch would create the file drivers/net/wireless/ipw2100/ipw2100_wx.c,
which already exists!  Applying it anyway.
patching file drivers/net/wireless/ipw2100/ipw2100_wx.c
Patch attempted to create file drivers/net/wireless/ipw2100/ipw2100_wx.c, which already exists.
Hunk #1 FAILED at 1.
1 out of 1 hunk FAILED -- saving rejects to file drivers/net/wireless/ipw2100/ipw2100_wx.c.rej
The next patch would create the file drivers/net/wireless/ipw2100/ipw2100_wx.h,
which already exists!  Applying it anyway.
patching file drivers/net/wireless/ipw2100/ipw2100_wx.h
Patch attempted to create file drivers/net/wireless/ipw2100/ipw2100_wx.h, which already exists.
Hunk #1 FAILED at 1.
1 out of 1 hunk FAILED -- saving rejects to file drivers/net/wireless/ipw2100/ipw2100_wx.h.rej
The next patch would create the file drivers/net/wireless/ipw2100/ipwversion.h,
which already exists!  Applying it anyway.
patching file drivers/net/wireless/ipw2100/ipwversion.h
Patch attempted to create file drivers/net/wireless/ipw2100/ipwversion.h, which already exists.
Hunk #1 FAILED at 1.
1 out of 1 hunk FAILED -- saving rejects to file drivers/net/wireless/ipw2100/ipwversion.h.rej
The next patch would create the file drivers/net/wireless/ipw2100/pbe5.c,
which already exists!  Applying it anyway.
patching file drivers/net/wireless/ipw2100/pbe5.c
Patch attempted to create file drivers/net/wireless/ipw2100/pbe5.c, which already exists.
Hunk #1 FAILED at 1.
1 out of 1 hunk FAILED -- saving rejects to file drivers/net/wireless/ipw2100/pbe5.c.rej
patching file drivers/scsi/dpt/dpt_osdutil.h
patching file drivers/scsi/dpt/dpti_i2o-dev.h
patching file drivers/scsi/dpt/dpti_i2o.h
patching file drivers/scsi/dpt/dpti_ioctl.h
patching file drivers/scsi/dpt/dptsig.h
patching file drivers/scsi/dpt_i2o.c
patching file drivers/scsi/dpti.h
patching file drivers/scsi/dpti2oscsi2.c
Attempting Dry-run:
cmd: patch -p2 --dry-run -f < /var/tmp/portage/gentoo-dev-sources-2.6.6/work/patches/genpatches-2.6-6.30/2320_adaptec_dpt_i2o.patch
=======================================================
patching file networking/README.ipw2100
can't find file to patch at input line 124
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN linux-2.6.6/Documentation/scsi/dpti.txt linux-2.6.6-gentoo1/Documentation/scsi/dpti.txt
|--- linux-2.6.6/Documentation/scsi/dpti.txt    2004-05-09 21:32:54.000000000 -0500
|+++ linux-2.6.6-gentoo1/Documentation/scsi/dpti.txt    2004-05-22 09:13:10.430700652 -0500
--------------------------
No file to patch.  Skipping patch.
3 out of 3 hunks ignored
can't find file to patch at input line 175
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN linux-2.6.6/drivers/net/wireless/Kconfig linux-2.6.6-gentoo1/drivers/net/wireless/Kconfig
|--- linux-2.6.6/drivers/net/wireless/Kconfig   2004-05-09 21:32:26.000000000 -0500
|+++ linux-2.6.6-gentoo1/drivers/net/wireless/Kconfig   2004-05-22 09:13:01.771994437 -0500
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
can't find file to patch at input line 325
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN linux-2.6.6/drivers/net/wireless/Makefile linux-2.6.6-gentoo1/drivers/net/wireless/Makefile
|--- linux-2.6.6/drivers/net/wireless/Makefile  2004-05-09 21:33:22.000000000 -0500
|+++ linux-2.6.6-gentoo1/drivers/net/wireless/Makefile  2004-05-22 09:13:01.779993241 -0500
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
patching file net/wireless/ipw2100/CHANGES
patching file net/wireless/ipw2100/INSTALL
patching file net/wireless/ipw2100/Makefile
patching file net/wireless/ipw2100/av5100.c
patching file net/wireless/ipw2100/hostap/hostap_crypt.h
patching file net/wireless/ipw2100/ieee80211.c
patching file net/wireless/ipw2100/ieee80211.h
patching file net/wireless/ipw2100/ieee80211_crypt.h
patching file net/wireless/ipw2100/ieee80211_rx.c
patching file net/wireless/ipw2100/ieee80211_wx.c
patching file net/wireless/ipw2100/ipw2100.h
patching file net/wireless/ipw2100/ipw2100_frag.c
patching file net/wireless/ipw2100/ipw2100_frag.h
patching file net/wireless/ipw2100/ipw2100_fw.c
patching file net/wireless/ipw2100/ipw2100_fw.h
patching file net/wireless/ipw2100/ipw2100_hw.h
patching file net/wireless/ipw2100/ipw2100_main.c
patching file net/wireless/ipw2100/ipw2100_wx.c
patching file net/wireless/ipw2100/ipw2100_wx.h
patching file net/wireless/ipw2100/ipwversion.h
patching file net/wireless/ipw2100/pbe5.c
The next patch would delete the file scsi/dpt/dpt_osdutil.h,
which does not exist!  Applying it anyway.
can't find file to patch at input line 12624
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN linux-2.6.6/drivers/scsi/dpt/dpt_osdutil.h linux-2.6.6-gentoo1/drivers/scsi/dpt/dpt_osdutil.h
|--- linux-2.6.6/drivers/scsi/dpt/dpt_osdutil.h 2004-05-09 21:33:20.000000000 -0500
|+++ linux-2.6.6-gentoo1/drivers/scsi/dpt/dpt_osdutil.h 1969-12-31 18:00:00.000000000 -0600
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
patching file scsi/dpt/dpti_i2o-dev.h
can't find file to patch at input line 13385
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN linux-2.6.6/drivers/scsi/dpt/dpti_i2o.h linux-2.6.6-gentoo1/drivers/scsi/dpt/dpti_i2o.h
|--- linux-2.6.6/drivers/scsi/dpt/dpti_i2o.h    2004-05-09 21:32:29.000000000 -0500
|+++ linux-2.6.6-gentoo1/drivers/scsi/dpt/dpti_i2o.h    2004-05-22 09:13:10.483692734 -0500
--------------------------
No file to patch.  Skipping patch.
4 out of 4 hunks ignored
can't find file to patch at input line 13432
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN linux-2.6.6/drivers/scsi/dpt/dpti_ioctl.h linux-2.6.6-gentoo1/drivers/scsi/dpt/dpti_ioctl.h
|--- linux-2.6.6/drivers/scsi/dpt/dpti_ioctl.h  2004-05-09 21:32:29.000000000 -0500
|+++ linux-2.6.6-gentoo1/drivers/scsi/dpt/dpti_ioctl.h  2004-05-22 09:13:10.494691091 -0500
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
can't find file to patch at input line 13449
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN linux-2.6.6/drivers/scsi/dpt/dptsig.h linux-2.6.6-gentoo1/drivers/scsi/dpt/dptsig.h
|--- linux-2.6.6/drivers/scsi/dpt/dptsig.h      2004-05-09 21:33:19.000000000 -0500
|+++ linux-2.6.6-gentoo1/drivers/scsi/dpt/dptsig.h      2004-05-22 09:13:10.518687505 -0500
--------------------------
No file to patch.  Skipping patch.
9 out of 9 hunks ignored
can't find file to patch at input line 13652
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN linux-2.6.6/drivers/scsi/dpt_i2o.c linux-2.6.6-gentoo1/drivers/scsi/dpt_i2o.c
|--- linux-2.6.6/drivers/scsi/dpt_i2o.c 2004-05-09 21:33:13.000000000 -0500
|+++ linux-2.6.6-gentoo1/drivers/scsi/dpt_i2o.c 2004-05-22 09:17:04.483728442 -0500
--------------------------
No file to patch.  Skipping patch.
110 out of 110 hunks ignored
can't find file to patch at input line 16459
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN linux-2.6.6/drivers/scsi/dpti.h linux-2.6.6-gentoo1/drivers/scsi/dpti.h
|--- linux-2.6.6/drivers/scsi/dpti.h    2004-05-09 21:31:56.000000000 -0500
|+++ linux-2.6.6-gentoo1/drivers/scsi/dpti.h    2004-05-22 09:13:10.640669279 -0500
--------------------------
No file to patch.  Skipping patch.
7 out of 7 hunks ignored
patching file scsi/dpti2oscsi2.c
Attempting Dry-run:
cmd: patch -p3 --dry-run -f < /var/tmp/portage/gentoo-dev-sources-2.6.6/work/patches/genpatches-2.6-6.30/2320_adaptec_dpt_i2o.patch
=======================================================
patching file README.ipw2100
can't find file to patch at input line 124
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN linux-2.6.6/Documentation/scsi/dpti.txt linux-2.6.6-gentoo1/Documentation/scsi/dpti.txt
|--- linux-2.6.6/Documentation/scsi/dpti.txt    2004-05-09 21:32:54.000000000 -0500
|+++ linux-2.6.6-gentoo1/Documentation/scsi/dpti.txt    2004-05-22 09:13:10.430700652 -0500
--------------------------
No file to patch.  Skipping patch.
3 out of 3 hunks ignored
can't find file to patch at input line 175
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN linux-2.6.6/drivers/net/wireless/Kconfig linux-2.6.6-gentoo1/drivers/net/wireless/Kconfig
|--- linux-2.6.6/drivers/net/wireless/Kconfig   2004-05-09 21:32:26.000000000 -0500
|+++ linux-2.6.6-gentoo1/drivers/net/wireless/Kconfig   2004-05-22 09:13:01.771994437 -0500
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
can't find file to patch at input line 325
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN linux-2.6.6/drivers/net/wireless/Makefile linux-2.6.6-gentoo1/drivers/net/wireless/Makefile
|--- linux-2.6.6/drivers/net/wireless/Makefile  2004-05-09 21:33:22.000000000 -0500
|+++ linux-2.6.6-gentoo1/drivers/net/wireless/Makefile  2004-05-22 09:13:01.779993241 -0500
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
patching file wireless/ipw2100/CHANGES
patching file wireless/ipw2100/INSTALL
patching file wireless/ipw2100/Makefile
patching file wireless/ipw2100/av5100.c
patching file wireless/ipw2100/hostap/hostap_crypt.h
patching file wireless/ipw2100/ieee80211.c
patching file wireless/ipw2100/ieee80211.h
patching file wireless/ipw2100/ieee80211_crypt.h
patching file wireless/ipw2100/ieee80211_rx.c
patching file wireless/ipw2100/ieee80211_wx.c
patching file wireless/ipw2100/ipw2100.h
patching file wireless/ipw2100/ipw2100_frag.c
patching file wireless/ipw2100/ipw2100_frag.h
patching file wireless/ipw2100/ipw2100_fw.c
patching file wireless/ipw2100/ipw2100_fw.h
patching file wireless/ipw2100/ipw2100_hw.h
patching file wireless/ipw2100/ipw2100_main.c
patching file wireless/ipw2100/ipw2100_wx.c
patching file wireless/ipw2100/ipw2100_wx.h
patching file wireless/ipw2100/ipwversion.h
patching file wireless/ipw2100/pbe5.c
The next patch would delete the file dpt/dpt_osdutil.h,
which does not exist!  Applying it anyway.
can't find file to patch at input line 12624
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN linux-2.6.6/drivers/scsi/dpt/dpt_osdutil.h linux-2.6.6-gentoo1/drivers/scsi/dpt/dpt_osdutil.h
|--- linux-2.6.6/drivers/scsi/dpt/dpt_osdutil.h 2004-05-09 21:33:20.000000000 -0500
|+++ linux-2.6.6-gentoo1/drivers/scsi/dpt/dpt_osdutil.h 1969-12-31 18:00:00.000000000 -0600
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
patching file dpt/dpti_i2o-dev.h
can't find file to patch at input line 13385
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN linux-2.6.6/drivers/scsi/dpt/dpti_i2o.h linux-2.6.6-gentoo1/drivers/scsi/dpt/dpti_i2o.h
|--- linux-2.6.6/drivers/scsi/dpt/dpti_i2o.h    2004-05-09 21:32:29.000000000 -0500
|+++ linux-2.6.6-gentoo1/drivers/scsi/dpt/dpti_i2o.h    2004-05-22 09:13:10.483692734 -0500
--------------------------
No file to patch.  Skipping patch.
4 out of 4 hunks ignored
can't find file to patch at input line 13432
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN linux-2.6.6/drivers/scsi/dpt/dpti_ioctl.h linux-2.6.6-gentoo1/drivers/scsi/dpt/dpti_ioctl.h
|--- linux-2.6.6/drivers/scsi/dpt/dpti_ioctl.h  2004-05-09 21:32:29.000000000 -0500
|+++ linux-2.6.6-gentoo1/drivers/scsi/dpt/dpti_ioctl.h  2004-05-22 09:13:10.494691091 -0500
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
can't find file to patch at input line 13449
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN linux-2.6.6/drivers/scsi/dpt/dptsig.h linux-2.6.6-gentoo1/drivers/scsi/dpt/dptsig.h
|--- linux-2.6.6/drivers/scsi/dpt/dptsig.h      2004-05-09 21:33:19.000000000 -0500
|+++ linux-2.6.6-gentoo1/drivers/scsi/dpt/dptsig.h      2004-05-22 09:13:10.518687505 -0500
--------------------------
No file to patch.  Skipping patch.
9 out of 9 hunks ignored
can't find file to patch at input line 13652
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN linux-2.6.6/drivers/scsi/dpt_i2o.c linux-2.6.6-gentoo1/drivers/scsi/dpt_i2o.c
|--- linux-2.6.6/drivers/scsi/dpt_i2o.c 2004-05-09 21:33:13.000000000 -0500
|+++ linux-2.6.6-gentoo1/drivers/scsi/dpt_i2o.c 2004-05-22 09:17:04.483728442 -0500
--------------------------
No file to patch.  Skipping patch.
110 out of 110 hunks ignored
can't find file to patch at input line 16459
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN linux-2.6.6/drivers/scsi/dpti.h linux-2.6.6-gentoo1/drivers/scsi/dpti.h
|--- linux-2.6.6/drivers/scsi/dpti.h    2004-05-09 21:31:56.000000000 -0500
|+++ linux-2.6.6-gentoo1/drivers/scsi/dpti.h    2004-05-22 09:13:10.640669279 -0500
--------------------------
No file to patch.  Skipping patch.
7 out of 7 hunks ignored
patching file dpti2oscsi2.c
Attempting Dry-run:
cmd: patch -p4 --dry-run -f < /var/tmp/portage/gentoo-dev-sources-2.6.6/work/patches/genpatches-2.6-6.30/2320_adaptec_dpt_i2o.patch
=======================================================
missing header for unified diff at line 4 of patch
can't find file to patch at input line 4
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN linux-2.6.6/Documentation/networking/README.ipw2100 linux-2.6.6-gentoo1/Documentation/networking/README.ipw2100
|--- linux-2.6.6/Documentation/networking/README.ipw2100        1969-12-31 18:00:00.000000000 -0600
|+++ linux-2.6.6-gentoo1/Documentation/networking/README.ipw2100        2004-05-22 09:13:01.748997873 -0500
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
missing header for unified diff at line 124 of patch
can't find file to patch at input line 124
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN linux-2.6.6/Documentation/scsi/dpti.txt linux-2.6.6-gentoo1/Documentation/scsi/dpti.txt
|--- linux-2.6.6/Documentation/scsi/dpti.txt    2004-05-09 21:32:54.000000000 -0500
|+++ linux-2.6.6-gentoo1/Documentation/scsi/dpti.txt    2004-05-22 09:13:10.430700652 -0500
--------------------------
No file to patch.  Skipping patch.
3 out of 3 hunks ignored
can't find file to patch at input line 175
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN linux-2.6.6/drivers/net/wireless/Kconfig linux-2.6.6-gentoo1/drivers/net/wireless/Kconfig
|--- linux-2.6.6/drivers/net/wireless/Kconfig   2004-05-09 21:32:26.000000000 -0500
|+++ linux-2.6.6-gentoo1/drivers/net/wireless/Kconfig   2004-05-22 09:13:01.771994437 -0500
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
patching file Makefile
Hunk #1 succeeded at 470 with fuzz 2 (offset 469 lines).
patching file ipw2100/CHANGES
patching file ipw2100/INSTALL
patching file ipw2100/Makefile
patching file ipw2100/av5100.c
patching file ipw2100/hostap/hostap_crypt.h
patching file ipw2100/ieee80211.c
patching file ipw2100/ieee80211.h
patching file ipw2100/ieee80211_crypt.h
patching file ipw2100/ieee80211_rx.c
patching file ipw2100/ieee80211_wx.c
patching file ipw2100/ipw2100.h
patching file ipw2100/ipw2100_frag.c
patching file ipw2100/ipw2100_frag.h
patching file ipw2100/ipw2100_fw.c
patching file ipw2100/ipw2100_fw.h
patching file ipw2100/ipw2100_hw.h
patching file ipw2100/ipw2100_main.c
patching file ipw2100/ipw2100_wx.c
patching file ipw2100/ipw2100_wx.h
patching file ipw2100/ipwversion.h
patching file ipw2100/pbe5.c
The next patch would delete the file dpt_osdutil.h,
which does not exist!  Applying it anyway.
can't find file to patch at input line 12624
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN linux-2.6.6/drivers/scsi/dpt/dpt_osdutil.h linux-2.6.6-gentoo1/drivers/scsi/dpt/dpt_osdutil.h
|--- linux-2.6.6/drivers/scsi/dpt/dpt_osdutil.h 2004-05-09 21:33:20.000000000 -0500
|+++ linux-2.6.6-gentoo1/drivers/scsi/dpt/dpt_osdutil.h 1969-12-31 18:00:00.000000000 -0600
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
patching file dpti_i2o-dev.h
can't find file to patch at input line 13385
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN linux-2.6.6/drivers/scsi/dpt/dpti_i2o.h linux-2.6.6-gentoo1/drivers/scsi/dpt/dpti_i2o.h
|--- linux-2.6.6/drivers/scsi/dpt/dpti_i2o.h    2004-05-09 21:32:29.000000000 -0500
|+++ linux-2.6.6-gentoo1/drivers/scsi/dpt/dpti_i2o.h    2004-05-22 09:13:10.483692734 -0500
--------------------------
No file to patch.  Skipping patch.
4 out of 4 hunks ignored
can't find file to patch at input line 13432
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN linux-2.6.6/drivers/scsi/dpt/dpti_ioctl.h linux-2.6.6-gentoo1/drivers/scsi/dpt/dpti_ioctl.h
|--- linux-2.6.6/drivers/scsi/dpt/dpti_ioctl.h  2004-05-09 21:32:29.000000000 -0500
|+++ linux-2.6.6-gentoo1/drivers/scsi/dpt/dpti_ioctl.h  2004-05-22 09:13:10.494691091 -0500
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
can't find file to patch at input line 13449
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN linux-2.6.6/drivers/scsi/dpt/dptsig.h linux-2.6.6-gentoo1/drivers/scsi/dpt/dptsig.h
|--- linux-2.6.6/drivers/scsi/dpt/dptsig.h      2004-05-09 21:33:19.000000000 -0500
|+++ linux-2.6.6-gentoo1/drivers/scsi/dpt/dptsig.h      2004-05-22 09:13:10.518687505 -0500
--------------------------
No file to patch.  Skipping patch.
9 out of 9 hunks ignored
missing header for unified diff at line 13652 of patch
can't find file to patch at input line 13652
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN linux-2.6.6/drivers/scsi/dpt_i2o.c linux-2.6.6-gentoo1/drivers/scsi/dpt_i2o.c
|--- linux-2.6.6/drivers/scsi/dpt_i2o.c 2004-05-09 21:33:13.000000000 -0500
|+++ linux-2.6.6-gentoo1/drivers/scsi/dpt_i2o.c 2004-05-22 09:17:04.483728442 -0500
--------------------------
No file to patch.  Skipping patch.
110 out of 110 hunks ignored
missing header for unified diff at line 16459 of patch
can't find file to patch at input line 16459
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN linux-2.6.6/drivers/scsi/dpti.h linux-2.6.6-gentoo1/drivers/scsi/dpti.h
|--- linux-2.6.6/drivers/scsi/dpti.h    2004-05-09 21:31:56.000000000 -0500
|+++ linux-2.6.6-gentoo1/drivers/scsi/dpti.h    2004-05-22 09:13:10.640669279 -0500
--------------------------
No file to patch.  Skipping patch.
7 out of 7 hunks ignored
missing header for unified diff at line 16640 of patch
can't find file to patch at input line 16640
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN linux-2.6.6/drivers/scsi/dpti2oscsi2.c linux-2.6.6-gentoo1/drivers/scsi/dpti2oscsi2.c
|--- linux-2.6.6/drivers/scsi/dpti2oscsi2.c     1969-12-31 18:00:00.000000000 -0600
|+++ linux-2.6.6-gentoo1/drivers/scsi/dpti2oscsi2.c     2004-05-22 09:13:10.642668980 -0500
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored

Any ideas what it may be?

Reproducible: Always
Steps to Reproduce:
1. emerge -u gentoo-dev-sources



Portage 2.0.50-r6 (default-x86-2004.0, gcc-3.3.2, glibc-2.3.2-r9, 2.6.5-gentoo-r1)
=================================================================
System uname: 2.6.5-gentoo-r1 i686 Intel(R) Pentium(R) 4 Mobile CPU 1.60GHz
Gentoo Base System version 1.4.10
distcc 2.13 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
Autoconf: sys-devel/autoconf-2.58-r1
Automake: sys-devel/automake-1.8.3
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CFLAGS="-march=pentium4 -O2 -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
COMPILER="gcc3"
CONFIG_PROTECT="/etc /usr/X11R6/lib/X11/xkb /usr/kde/2/share/config
/usr/kde/3.2/share/config /usr/kde/3/share/config /usr/lib/mozilla/defaults/pref
/usr/share/config /usr/share/texmf/dvipdfm/config/
/usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/
/usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/ /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-march=pentium4 -O2 -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs ccache sandbox"
GENTOO_MIRRORS="http://gentoo.netnitco.net ftp://cs.ubishops.ca/pub/gentoo
ftp://gentoo.netnitco.net/pub/mirrors/gentoo/source/"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X Xaw3d aalib acpi aim alsa apm arts avi berkdb bonobo canna cdr cjk crypt
cups dvd emacs encode esd fam flac foomaticdb freewnn gdbm gif gnome gpm
gstreamer gtk gtk2 guile icq imlib jabber java jikes jpeg kde leim libg++ libwww
linguas_en mad mikmod motif mozilla mpeg msn mule mysql ncurses nls oggvorbis
opengl oscar oss pam pcmcia pdflib perl png pnp python qt quicktime readline
ruby samba sdl slang slp speex spell sse ssl svga tcltk tcpd tetex truetype
unicod usb video wxwindows x86 xml xml2 xmms xv zlib"
Comment 1 Ben Slote 2004-05-22 23:32:17 UTC
http://bugs.gentoo.org/show_bug.cgi?id=51782
Comment 2 Daniel Ostrow (RETIRED) gentoo-dev 2004-05-23 00:40:36 UTC
Minor update: confirmed on ppc and amd64 as well, noone was awake when I took a look at this so I changed the keyword to - for all 3 arch's it can be put back once this is closed. Sorry if I stepped on any toes, just didn't want to get MANY duplicate bugs.
Comment 3 Tim Yamin (RETIRED) gentoo-dev 2004-05-23 08:14:26 UTC
*** Bug 51810 has been marked as a duplicate of this bug. ***
Comment 4 Tim Yamin (RETIRED) gentoo-dev 2004-05-23 08:17:49 UTC
*** Bug 51782 has been marked as a duplicate of this bug. ***
Comment 5 Tim Yamin (RETIRED) gentoo-dev 2004-05-23 08:18:30 UTC
Merging in bug #51782:

------- Additional Comment #1 From Lang Thang  2004-05-22 23:06 PST -------

There are two problems:
1. All the patches in "2120_ipw2100-0.40-2.6.5.patch" are in "2320_adaptec_dpt_i2o.patch".
2. Since dry-run for "4725_reiser3-xattr-acl-quotas-2.6.6-rc2.patch" failed but actual patching successed(?), the ebuild failed with the error "Unable to dry-run patch."
Comment 6 Tim Yamin (RETIRED) gentoo-dev 2004-05-23 08:20:46 UTC
*** Bug 51803 has been marked as a duplicate of this bug. ***
Comment 7 Tim Yamin (RETIRED) gentoo-dev 2004-05-23 08:21:07 UTC
*** Bug 51799 has been marked as a duplicate of this bug. ***
Comment 8 Tim Yamin (RETIRED) gentoo-dev 2004-05-23 08:21:33 UTC
*** Bug 51797 has been marked as a duplicate of this bug. ***
Comment 9 Tim Yamin (RETIRED) gentoo-dev 2004-05-23 08:21:44 UTC
*** Bug 51784 has been marked as a duplicate of this bug. ***
Comment 10 nachiketa sahoo 2004-05-23 11:59:48 UTC
Created attachment 31896 [details]
this is the log of the error i faced while emerging gentoo-dev-sources

This is the error I got while emerging gentoo-dev-sources

 * Applying 2320_adaptec_dpt_i2o.patch...				  [ !!
]

 * Please attach
/var/tmp/portage/gentoo-dev-sources-2.6.6/temp/2320_adaptec_dpt_i2o.err to any
bug you may post.

!!! ERROR: sys-kernel/gentoo-dev-sources-2.6.6 failed.
!!! Function unipatch, Line 485, Exitcode 0
!!! Unable to dry-run patch.
Comment 11 Xake 2004-05-29 09:41:31 UTC
Could you expect to have 2.6.6 in portage soon again?
Comment 12 Kerin Millar 2004-06-03 08:16:36 UTC
The adaptec_dpt_i20 patch from the latest instance of genpatches was incorrectly generated (inadvertently, it also contains the ipw2100 patch which is applied prior).

I've fixed up the tree and applied a few minor updates. steel300 has kindly agreed to take a look at the individual patches (hopefully with a view to inclusion in CVS), so I shall be feeding them to him fairly soon.

@Karl: I have a full testing patch here: http://www.recruit2recruit.net/kerframil/2.6.6-gds.patch.bz2 (MD5SUM:  23514b1dd58c18180ee2a1dd16680b49). DISCLAIMER: THIS IS STRICTLY UNOFFICIAL! Nonetheless, if anyone feels like giving it a spin and reporting back then I would be grateful.

The changes here are as follows:

o adaptec patch was fixed up
o am9 "auto-swapiness" patch updated to am10 (now takes into account swap file usage)
o Formative lowlat patch (a.k.a writeback-lat) patch dropped in favour of later version which can be found in both Andrea Archangeli's patchset and the SuSE kernel.

STILL TODO:

o Make sure existing patches are up-to-date
o Add "takara" Alpha arch-fixup (thanks jmaynard)
o Raise max number of kernel boot-time parameters from 8 to 32 (8 is a bit on the skimpy side I think)
o Add menu option to select max sockets/file-descriptors (some people running big iron would enjoy this as it saves them from fiddling around with hard-coded defaults).
o Possibly a few more minor fixups (some backported aic7xxx fixes, missing includes patch from redhat ...)
o Maybe make low-latency option selectable (with nice help text), and on by default in defconfig. Maybe also turn of CONFIG_PREEMPT as a default in defconfig (I have heard several reports indicating that people are getting better overall performance with the low-latency work and preempt off. I have also found this arrangement to be preferable).

My rationale for making "writeback-lat" selectable is:

* Although it's a non-intrusive patch, one might want to ensure vanilla-like behaviour. Also, some users might be running computationally-intensive tasks and care little about long-held locks or max latency.
* Raises awareness. Educates the user as to the contrasting effects of LOWLAT and PREEMPT, thus enabling the user to make a more informed choice.
* Some (including Con Kolivas) have asserted that having CONFIG_PREEMPT being on as a default isn't really necessary in 2.6 because most of the worst long-held locks have been eradicated since the 2.4 days (and the writeback-lat patch more or less eliminates the worst remaining ones). My patch would also change the CONFIG_PREEMPT help text slightly to ensure the user knows it's crucial for things like pro audio processing (e.g. JACK) and such.

I would appreciate any feedback concerning any of the above.
Comment 13 Kerin Millar 2004-06-03 08:17:45 UTC
Sorry, obviously I meant @Kalle (not @Karl) in the previous post ;)
Comment 14 Kerin Millar 2004-06-03 08:39:57 UTC
I also forgot to mention this change:

o reiserfs acl/xattr/quota/block-allocator patch (from Chris Mason) dropped. Already accepted in 2.6.6 mainline.
Comment 15 Brandon Hale (RETIRED) gentoo-dev 2004-06-03 12:07:44 UTC
Kerin, great work here!
I was looking at updating to am10 and the more complete
low-lat patch myself. The TODO items are also awesome, good
awareness ( I have a feeling people are still running preempt out there ).
Comment 16 Brandon Hale (RETIRED) gentoo-dev 2004-06-05 06:52:58 UTC
Kerin:
patch-*-as is autoregulated swappiness biased downwards (deprecates -am* patches)
http://ck.kolivas.org/patches/2.6/2.6.7-rc2/patch-2.6.7-rc2-as
Comment 17 Kerin Millar 2004-06-13 11:06:31 UTC
OK, time for an update. Contains several updates to the core patches, and
various hardware/arch fixes (mostly from the -mm tree). Full patch now available
here:

http://www.recruit2recruit.net/kerframil/patches/2.6.6-gds.patch.bz2 (MD5SUM:
3b2cf597600d0bceb6c2e5cb6439beb9)

Ok, so there are quite a few more patches but they tend to fix obvious breakage
hither and thither and are narrow in scope(indeed, the majority should have been merged into the 2.6.7 tree by now).

I don't expect to be changing this too much now. I would certainly appreciate
any testing and feedback.

Here's a ChangeLog (relative to gds-2.6.5):

+ 1110_out-of-bounds-access-in-hiddev_cleanup.patch

Fix out-of-bounds memory access when unplugging a HID device.

  1310_k8_cardbus_io.patch
+ 1315_alpha-sysctl-uac.patch

Alpha patch from jmaynard.

+ 1910_fix-crash-on-modprobe-ohci1394.patch

Fix oops when ohci module is loaded then immediately unloaded (especially useful
for kudzu and the like).

+ 1915_pid_max-fix.patch

pid_max isn't respected beyond the default limit, even if adjusted.

U 2110_bcm5700-7.1.22-2.6.0.patch

Updated.

  2115_fa311-mac-address-fix.patch

U 2120_ipw2100-0.45-2.6.6.patch

Updated

+ 2125_fealnx-mac-address-and-other-issues.patch

Some fixups for Surecom 10/100 cards.

+ 2130_sis900-fix-phy-transceiver-detection.patch
+ 2135_sis900-xcvr-fix.patch

Fix PHY transceiver detection code to fall back to known PHY and not to the
last detected. Correct poor transfer rates and messages about unknown PHY
transceievers.
 
+ 2140_sk98lin-buggy-vpd-workaround.patch

Implement a workaround for a corrupt EEPROM in the ASUS K8V Deluxe SE chipset.

+ 2305_blk-completion-clear-stack-pointer-on-return.patch

Fix some unsafe code in the ide and block layer (from Jens Axboe).

F 2320_adaptec_dpt_i2o.patch
+ 2325_advansys-basic-highmem-dma-support.patch

Enable highmem support for the Advansys SCSI driver.

+ 2510_sis-agp-updates.patch

Enables AGP workaround for known buggy SiS chipsets (which would otherwise
freeze). Adds -agp_sis_force_delay=1 module option (in case your SiS chipset
isn't in the blacklist).

+ 2515_matroxfb-undefined-para-fix.patch

Allows matrox fb support to work when compiled as a module, but without MTRR
support in the kernel.

+ 2310_siimage-update.patch

Various fixups (kudos to LiveWire) and limits to UDMA5 on Maxtor 4D060H3 drives.

  2710_amd76x-acpi.patch
+ 2715_check-return-status-of-register-calls-in-i82365.patch

driver_register() and platform_device_register() are called without the return
values being checked.

+ 2720_set-apm-info-disabled.patch

Allows the omnibook driver to emulate APM battery status monitoring. Fixes a
check whether APM is active in thinkpadpm.c.

+ 2910_logitech-keyboard-fix.patch

Fix for the Logitech Ps/2 Internet keyboard.

+ 2915_input-tsdev-fixes.patch

Various fixes for the touchscreen device support.

+ 2920_fix-scancode-keycode-scancode-conversion-for-265.patch

Fixes a problem with RAW emulation mode for AT keyboards.

+ 2925_problems-with-atkbd_command--atkbd_interrupt-interaction.patch

Fixes an issue whereby the keyboard might not be detected if keys are pressed
during bootup.

+ 2930_swsusp-fix-devfs-breakage-introduced-in-266.patch

Fixes bad interaction between swsusp and devfs.

+ 2935_missing-headers.patch

A few missing headers (supplied by Redhat).

U 3110_SuSE-117-writeback-lat.patch

Newer and improved version of the writeback latency patch (can be found in
Andrea's and the SuSE kernels).

+ 3112_writeback-lat-Kconfig-2.6.6.patch

BIG NOTE: WRITTEN, BUT NOT IN THIS PATCH! Expect to see it tomorrow. Will
expose the latency patch as a Kconfig menu option, enabling at as a default
and disabling pre-empt as a default. Contains some help text modifications
too.

U 3305_as-2.6.6.patch

The latest (and probably last) version of Con Koliva's auto-regulated
swappiness patch. Now takes into consideration swap usage and tries to push
the swappiness value lower over time.

  3307_am9-menuoption-2.6.5.patch
+ 3910_ht-smp-help-entry.patch

Some nice help text to help folks who want to use Pentium4 hyperthreading.

  4105_lirc_infrared-2.6.5-rc2.patch
  4505_bootsplash-3.1.4-2.6.5-rc2.patch
  4705_squashfs-1.3r3.patch
  4710_lufs-0.9.7-2.6.0-test9.patch
  4715_supermount-2.0.4-2.6.6_rc1.patch

U 4720_gcloop-2.6-20040527.patch

Latest version from Luca.

- 4725_reiser3-xattr-acl-quotas-2.6.6-rc2.patch

Dropped. Not required for 2.6.6 final.

U 4905_speakup_accessibility-2004-05-11.patch

Latest version.

+ 4910_max-init-args.patch

Allow 32 parameters to be specified at boot time (rather than just 8).

+ 4915_2.6.4-filesmax-unixsockets-max.patch

Allow for the configuration of the maximum number of filedescriptors as a
Kconfig option. Handy for those who really need the extra.
Comment 18 Kerin Millar 2004-06-13 11:15:41 UTC
It occured to me that maybe a few folks who would otherwise be willing to try this
out might not be that familiar with the process of patching kernels.

So, here we go:

# emerge -f =development-sources-2.6.6
# cd /usr/src
# rm linux
# tar xjf /usr/portage/distfiles/linux-2.6.6.tar.bz2
# chown -R root:root linux-2.6.6
# ln -s linux-2.6.6 linux
# cd linux
# wget -O - http://www.recruit2recruit.net/kerframil/patches/2.6.6-gds.patch.bz2 | bunzip2 -c | patch -p1

Now build the kernel as per normal.
Comment 19 Deedra Waters (RETIRED) gentoo-dev 2004-06-13 12:48:47 UTC
I have tested this patch, mainly the speakup changes, and this patch fixes a couple of issues, mainly the kernel panic on copy and paste that speakup had in the previous speakup patch that's currently used in gentoo-dev-sources.
 This speakup  update also fixes some other bugs in terms of loading and unloading speakup modules.
Comment 20 Xake 2004-06-14 04:03:48 UTC
Well at least it compiles and runs nice here.
Have not done any deeper tests thu.
Comment 21 Voicu Liviu 2004-06-14 13:21:05 UTC
Thanks Kerin,
This seems to be stable and fast, have not done any deeper tests thu.

Liviu
Comment 22 Kerin Millar 2004-06-14 14:32:19 UTC
There's an officially ratified fix for the new exploit described in bug #33230 now. I'll make sure that goes into the next snapshot (coming soon).

See also: 

* http://bugs.gentoo.org/attachment.cgi?id=33230&action=view
* http://linux.bkbits.net:8080/linux-2.5/diffs/include/asm-i386/i387.h@1.16?nav=index.html
Comment 23 Kerin Millar 2004-06-14 14:33:20 UTC
Sorry, I meant bug #53804 in my previous post.
Comment 24 Tim Yamin (RETIRED) gentoo-dev 2004-06-20 05:43:57 UTC
I'm closing this bug as FIXED since gentoo-dev-sources-2.6.6 is no longer in Portage; and 2.6.7 replaces it which shouldn't have patching issues. If you still have issues with that; please file a new bug. Thanks!